Sequenced Searching
Sequenced searching in Australia can be configured for clients upon request.
When making sequenced calls for Australia, the API input for the service MUST be set to "Australia Residential".
Example 1 - API Requests and Responses with following four services configured:
Australia Citizens Australia Consumer Australia Credit Bureau Australia Residential
- AuthorizationstringrequiredDescription
- dataobjectrequiredDescription
- countryCodestringrequiredDescription
- servicearrayrequiredDescription
- clientReferencestringDescription
- firstNamestringrequiredDescription
- middleNamestringDescription
- lastNamestringrequiredDescription
- dateOfBirthstringrequiredDescription
- addressElement1stringrequiredDescription
- addressElement3stringrequiredDescription
- addressElement4stringrequiredDescription
- addressElement5stringrequiredDescription
- identityVariablesobjectDescription
- phoneNostringDescription
- emailstringDescription
- consentObtainedobjectrequiredDescription
- Australia Credit BureaubooleanrequiredDescription
- countryCodestringDescription
- clientReferencestringDescription
- reportingReferencestringDescription
- validationErrorsstringDescription
- matchStatusstringDescription
- searchErrorMessagestringDescription
- safeHarbourbooleanDescription
- searchStatusstringDescription
- serviceResponsesobjectDescription
- statusintegerDescription
- sourceStatusstringDescription
- errorMessagestringDescription
- identityVerifiedbooleanDescription
- safeHarbourScorestringDescription
- nameMatchScorestringDescription
- addressMatchScorestringDescription
- verificationsobjectDescription
- addressElement1boolean
- addressElement3boolean
- addressElement4boolean
- addressElement5boolean
- dateOfBirthboolean
- emailboolean
- firstNameboolean
- landlineNoboolean
- lastNameboolean
- middleNameboolean
- phoneNoboolean
- returnedDataobjectDescription
- categorystringDescription
- sourcestringDescription
- remarksarrayDescription
curl --location 'https://idu-test.datazoo.com/api/v2/verify' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJ0ZXN0IiwiaWF0IjoxNzQyNzgyMDQyLCJpcGEiOiIzNC4xNTEuMTE3LjI0OSIsInVpZCI6MzAzLCJvaWQiOjYyLCJsaWQiOjU2MTA0OTEsImV4cCI6MTc0MjgxMDg0MiwiYXVkIjoiaHR0cHM6Ly9pZHUuZGF0YXpvby5jb20ifQ.PiwAcFHRsl0cV7cH5LYMxKHv01cr7RSwB9WJbGthGVgR_ikB0Q2HWFMY64MweKHF_oU1DpzqTsUG4iVR-yIHgQ' \
--data-raw '{
"countryCode": "AU",
"service": [
"Australia Residential"
],
"clientReference": "TestSequencing_0001",
"firstName": "Grant",
"middleName": "Eric",
"lastName": "Brook",
"dateOfBirth": "1973-10-24",
"addressElement1": "52 HAPPYVALLY RD",
"addressElement3": "IRONBARK",
"addressElement4": "VIC",
"addressElement5": "3551",
"consentObtained": {
"Australia Credit Bureau": true
},
"identityVariables": {
"phoneNo": "0411111111",
"email": "[email protected]"
}
}
'{
"countryCode": "Australia",
"clientReference": "TestSequencing_0001",
"reportingReference": "DZ-bfc3d6d1-7c90-4e14-83d9-f7a42b786132",
"matchStatus": "Full Match 1+1 Verification",
"searchErrorMessage": "",
"safeHarbour": false,
"searchStatus": "Successful",
"serviceResponses": {
"Australia Credit Bureau": {
"status": 0,
"sourceStatus": "Successful",
"errorMessage": "",
"identityVerified": true,
"safeHarbourScore": "M1",
"nameMatchScore": "1.000",
"addressMatchScore": "1.000",
"verifications": {
"addressElement1": true,
"addressElement3": true,
"addressElement4": true,
"addressElement5": true,
"dateOfBirth": true,
"firstName": true,
"lastName": true,
"middleName": true
},
"returnedData": {
"category": "credit",
"source": "dz2"
}
}
},
"remarks": []
}{
"message": "Ain't no cake like that."
}Example 2 - API Requests and Responses with following four services configured:
Australia Passport Australia Medicare Card Australia Citizens Australia Consumer
- AuthorizationstringrequiredDescription
- dataobjectrequiredDescription
- countryCodestringrequiredDescription
- servicearrayrequiredDescription
- clientReferencestringDescription
- firstNamestringrequiredDescription
- middleNamestringDescription
- lastNamestringrequiredDescription
- genderstringDescription
- dateOfBirthstringrequiredDescription
- addressElement1stringDescription
- addressElement3stringDescription
- addressElement4stringDescription
- addressElement5stringDescription
- identityVariablesobjectrequiredDescription
- passportNostringDescription
- medicareCardTypestringrequired
- medicareExpirystringrequired
- medicareCardNostringrequired
- medicareReferenceNointegerrequired
- phoneNostring
- emailstring
- medicareNameLine1string
- medicareNameLine2string
- medicareNameLine3string
- medicareNameLine4string
- consentObtainedobjectrequiredDescription
- Australia PassportbooleanrequiredDescription
- Australia Medicare Cardbooleanrequired
- countryCodestringDescription
- clientReferencestringDescription
- reportingReferencestringDescription
- validationErrorsstringDescription
- matchStatusstringDescription
- searchErrorMessagestringDescription
- safeHarbourbooleanDescription
- searchStatusstringDescription
- serviceResponsesobjectDescription
- statusintegerDescription
- sourceStatusstringDescription
- errorMessagestringDescription
- identityVerifiedbooleanDescription
- safeHarbourScorestringDescription
- nameMatchScorestringDescription
- addressMatchScorestringDescription
- verificationsobjectDescription
- addressElement1boolean
- addressElement3boolean
- addressElement4boolean
- addressElement5boolean
- dateOfBirthboolean
- documentNoboolean
- emailboolean
- firstNameboolean
- landlineNoboolean
- lastNameboolean
- middleNameboolean
- phoneNoboolean
- returnedDataobjectDescription
- categorystringDescription
- sourcestringDescription
- remarksarrayDescription
curl --location 'https://idu-test.datazoo.com/api/v2/verify' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCIsImtpZCI6ImMtbVZlMl9KRFhMcnkzaEhQWEN4TyJ9.eyJ1aWQiOiIzMDMiLCJvaWQiOiI2MiIsImlzcyI6Imh0dHBzOi8vZGF0YXpvby10ZXN0LnVzLmF1dGgwLmNvbS8iLCJzdWIiOiJhdXRoMHwzMDMiLCJhdWQiOiJodHRwczovL2t5Yy10ZXN0LmRhdGF6b28uY29tIiwiaWF0IjoxNzQ4ODIwMTM2LCJleHAiOjE3NDg4NTYxMzYsImd0eSI6InBhc3N3b3JkIiwiYXpwIjoiSWxVdURJNTF1QXpuVnE2VGVoRXAyOXBrbEhBSjFtYnkifQ.OsFI7E0ICd3SDqxgNZkjrAxhPcifuwedNOahFmQPJPKrJyeqOAOwjXkw2izZt6t1Cj5VrKIkOjNe8vBphbOrvFtA73FQGnk_EGiMpzUsGKo_OOgmFoqTSbSNphuM2MLlAGXK0x78-YGtsOVZciyCdlDNM8wMoSvg_vFxwBe2-OOV9ICNcsD6VRdx21FP2K5bvpdLHlfHzeXJmeB7rOBnrJ7gro0ThTfqPbR-gf77nkTXHPdloLYO9L0vDTKAGQl6PCWc-5sg64-jk2tpXg85-p7qmy4zCyibQHzmN1OT4xcrkDQ4xKCDjJ_NHlOysnTO_Bq1GOrwskcaGdPoxAw2LA' \
--data-raw '{
"countryCode": "AU",
"service": [
"Australia Residential"
],
"clientReference": "TestSandboxSequencing_0001",
"firstName": "Jane",
"middleName": "",
"lastName": "Citizen",
"dateOfBirth": "1984-07-06",
"addressElement1": "52 HAPPYVALLY RD",
"addressElement3": "IRONBARK",
"addressElement4": "VIC",
"addressElement5": "3551",
"consentObtained": {
"Australia Passport": true,
"Australia Medicare Card": true
},
"identityVariables": {
"passportNo": "PA0940443",
"medicareCardType": "G",
"medicareExpiry": "2022-12-01",
"medicareCardNo": "3512743581",
"medicareReferenceNo": 1,
"medicareNameLine1": "Jane Citizen",
"phoneNo": "0411111111",
"email": "[email protected]"
}
}
'{
"countryCode": "Australia",
"clientReference": "TestSandboxSequencing_0001",
"reportingReference": "DZ-df105596-93a1-454c-a83b-f8d36bbe5c66",
"matchStatus": "Full Match 2+2 Verification",
"searchErrorMessage": "",
"safeHarbour": true,
"searchStatus": "Successful",
"serviceResponses": {
"Australia Government Identity Documents 2": {
"status": 0,
"sourceStatus": "Successful",
"errorMessage": "",
"identityVerified": true,
"safeHarbourScore": "L2",
"nameMatchScore": "1.000",
"addressMatchScore": "N/A",
"verifications": {
"dateOfBirth": true,
"documentNo": true,
"firstName": true,
"lastName": true
},
"returnedData": {
"category": "government",
"source": "dz8"
}
},
"Australia Government Identity Documents 3": {
"status": 0,
"sourceStatus": "Successful",
"errorMessage": "",
"identityVerified": true,
"safeHarbourScore": "L2",
"nameMatchScore": "1.000",
"addressMatchScore": "N/A",
"verifications": {
"dateOfBirth": true,
"documentNo": true,
"fullName": true
},
"returnedData": {
"category": "government",
"source": "dz9"
}
}
},
"remarks": []
}{
"message": "Ain't no cake like that."
}Service Responses Overview
Each service returns its own self-contained response block, ensuring modular and source-specific verification results. Consumers of this API should handle varying response structures dynamically based on the requested services.
Service Responses Element
The serviceResponses object in the API response contains verification results from one or more data sources, structured under their respective service names. Each service (e.g., "Australia Consumer", "Australia Credit Bureau" from Example 1) returns a distinct response block with service-specific data.
Structure and Behavior:
- Each key within serviceResponses corresponds to a service name, representing an individual verification source.
- Services may return data from a single source or multiple sources in a sequenced API call.
- The structure of each service response varies, with fields such as status, identityVerified, and safeHarbourScore differing between services.
- The verifications block contains service-specific boolean indicators for individual verification checks (e.g., addressElement1, dateOfBirth, firstName).
- The returnedData block provides metadata, including category and source, indicating the data provider used for verification.